<?php

$root = __DIR__;
$filedir = explode("samples" ,$root);
$lib = $filedir[0] . 'lib/rgraph_chart.php';
require_once ($lib);
$tmp = explode("/samples/radar_simple.php", $_SERVER['PHP_SELF']);
$base = $tmp[0] . "/libraries/";
$rgraph_root = $tmp[0] . "/";

use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;
// rgraph chart
$id = "cvs";
$chart_type = "Radar";
$width = "500";
$height = "400";
$draw_option = "draw();";
$data = array( 4,3,8,4,6,7,5 );

$chart = new rgraph_chart($id, $data);
$options = new rgraph_options();
$options->set_option("title", "A Simple Radar Chart");
$options->set_option("labels", array('Jeff','Luis','Norman','Janice','Bill','Henry','Kev'));
$options->set_option("titleY",15);
$chart->set_options($options);

$chart_script = "";
$event_script = "";

// setup html
$scripts = $chart->getScripts((array)$options);
$java_scripts = "<script src='" . $base . $chart->getScript($chart_type) . "'  type='text/javascript' ></script>";
for ($i=0; $i<count($scripts); $i++)
{ if (isset($scripts[$i]))
   $java_scripts .= "\n<script src='" . $base . $scripts[$i] . "'  type='text/javascript' ></script>";
}

$template = $filedir[0] . 'lib/template.php';
include_once ($template);
?>



