<?php
/**
 * @filesource: combine_two.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template for use of php-helper class for rgraph charts package
 *              this template renders two charts
 */
include_once "combine_two_header.php";
?>

<canvas id="<?php echo $id; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" style=" <?php echo $canvas_style; ?>" class="<?php echo $canvas_class; ?>">
    [No canvas support]>
</canvas>
<script type="text/javascript">
jQuery(document).ready(function() {

	RGraph.reset('<?php echo $id; ?>');
 
    <?php echo $event1_script; ?>
    <?php echo $event2_script; ?>
         
    var <?php echo $chart1_name; ?> = new RGraph.<?php echo $chart1_type; ?> (
    <?php echo $chart1_json; ?>)
    <?php echo $chart1_script; ?>

    var <?php echo $chart2_name; ?> = new RGraph.<?php echo $chart2_type; ?> (
    <?php echo $chart2_json; ?>)
    <?php echo $chart2_script; ?>

    var combo = new RGraph.CombinedChart(chart1, chart2);
    combo.<?php echo $draw_option; ?>;
 
});
</script>