<?php
/**
 * @filesource: combine_two_header.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   header for use of php-helper class for rgraph charts package
 *              this template header is for two charts
 */

// setup of rgraph javascript libraries
if (! isset($chart1))
  die ("<b>Error: </b>rgraph_chart chart1 object not defined");
if (! isset($chart2))
   die ("<b>Error: </b>rgraph_chart chart2 object not defined");
if (! isset($chart1_json))
   die ("<b>Error: </b>json object for chart1 is not defined");
if (! isset($chart2_json))
   die ("<b>Error: </b>json object for chart2 is not defined");
$id = $chart1->get_id();
$chart1_type = $chart1->get_chartType();
$chart2_type = $chart2->get_chartType();

if (! isset($width))
    $width = 400;

if (! isset($height))
    $height = 250;

if (! isset($canvas_style))
    $canvas_style = "";
if (! isset($canvas_class))
    $canvas_class = "";

if (! isset($chart1_name))
    $chart1_name = "chart1";
if (! isset($chart2_name))
    $chart2_name = "chart2";

if (! isset($event1_script))
    $event1_script = "";
if (! isset($event2_script))
    $event_script2 = "";

if (! isset($chart1_script))
    $chart1_script = "";
if (! isset($chart2_script))
    $chart2_script = "";

$chart_type = $chart1->get_chartType();
$script = '<script src="' . $rgraph_libraries . $chart1->getScript($chart_type) . '"></script>';
$script .= "\n" . '<script src="' . $rgraph_libraries . $chart2->getScript('Bar') . '"></script>';
echo $script;
?>
